org.eclipse.gef.mvc.fx.operations

## Class DeselectOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.mvc.fx.operations.DeselectOperation

All Implemented Interfaces:
  org.eclipse.core.commands.operations.IUndoableOperation, ITransactionalOperation

    public class DeselectOperation
    extends org.eclipse.core.commands.operations.AbstractOperation
    implements ITransactionalOperation

The `DeselectOperation` can be used to change the `SelectionModel` of an `IViewer`.

### Field Summary

Fields
`static java.lang.String` `DEFAULT_LABEL` "change-selection" The default label for this operation (i.e. used if no label is specified).

### Constructor Summary

Constructors
Constructor and Description
`DeselectOperation(IViewer viewer, java.util.List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)` Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s.
`DeselectOperation(java.lang.String label, IViewer viewer, java.util.List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)` Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.IStatus` `execute(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`protected SelectionModel` `getSelectionModel()` Returns the `SelectionModel` adapted to the viewer.
`java.util.List<IContentPart<? extends javafx.scene.Node>>` `getToBeDeselected()` Returns the parts that are to be deleted.
`boolean` `isContentRelevant()` Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean` `isNoOp()` Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`org.eclipse.core.runtime.IStatus` `redo(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`
`org.eclipse.core.runtime.IStatus` `undo(org.eclipse.core.runtime.IProgressMonitor monitor, org.eclipse.core.runtime.IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

### Field Detail

#### DEFAULT_LABEL

    public static final java.lang.String DEFAULT_LABEL

     "change-selection"

The default label for this operation (i.e. used if no label is specified).

See Also:
  Constant Field Values

### Constructor Detail

#### DeselectOperation

    public DeselectOperation(IViewer viewer,
                             java.util.List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)

Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s. The `DEFAULT_LABEL` is used.

Parameters:
  `viewer` - The `IViewer` for which the selection is changed.
  `toBeDeselected` - The `IContentPart`s that are to be selected.

#### DeselectOperation

    public DeselectOperation(java.lang.String label,
                             IViewer viewer,
                             java.util.List<? extends IContentPart<? extends javafx.scene.Node>> toBeDeselected)

Creates a new `DeselectOperation` to change the selection within the given `IViewer` by removing the given `IContentPart`s. The given label is used.

Parameters:
  `label` - The operation's label.
  `viewer` - The `IViewer` for which the selection is changed.
  `toBeDeselected` - The `IContentPart`s that are to be selected.

### Method Detail

#### execute

    public org.eclipse.core.runtime.IStatus execute(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                    org.eclipse.core.runtime.IAdaptable info)
                                             throws org.eclipse.core.commands.ExecutionException

Specified by:
  `execute` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
Specified by:
  `execute` in class `org.eclipse.core.commands.operations.AbstractOperation`
Throws:
  `org.eclipse.core.commands.ExecutionException`

#### getSelectionModel

    protected SelectionModel getSelectionModel()

Returns the `SelectionModel` adapted to the viewer.

Returns:
  The `SelectionModel` adapter.

#### getToBeDeselected

    public java.util.List<IContentPart<? extends javafx.scene.Node>> getToBeDeselected()

Returns the parts that are to be deleted.

Returns:
  A reference to the to be deleted `IContentPart`s.

#### isContentRelevant

    public boolean isContentRelevant()

Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

#### isNoOp

    public boolean isNoOp()

Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

#### redo

    public org.eclipse.core.runtime.IStatus redo(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                 org.eclipse.core.runtime.IAdaptable info)
                                          throws org.eclipse.core.commands.ExecutionException

Specified by:
  `redo` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
Specified by:
  `redo` in class `org.eclipse.core.commands.operations.AbstractOperation`
Throws:
  `org.eclipse.core.commands.ExecutionException`

#### undo

    public org.eclipse.core.runtime.IStatus undo(org.eclipse.core.runtime.IProgressMonitor monitor,
                                                 org.eclipse.core.runtime.IAdaptable info)
                                          throws org.eclipse.core.commands.ExecutionException

Specified by:
  `undo` in interface `org.eclipse.core.commands.operations.IUndoableOperation`
Specified by:
  `undo` in class `org.eclipse.core.commands.operations.AbstractOperation`
Throws:
  `org.eclipse.core.commands.ExecutionException`